# MSP::CCS::CylindricalEqualArea Class Reference

`#include <CylindricalEqualArea.h>`

Inheritance diagram for MSP::CCS::CylindricalEqualArea:

List of all members.

## Public Member Functions

| CylindricalEqualArea (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| CylindricalEqualArea (const CylindricalEqualArea &cea)
| ~CylindricalEqualArea (void)
CylindricalEqualArea & | operator= (const CylindricalEqualArea &cea)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 100 of file CylindricalEqualArea.h.

## Constructor & Destructor Documentation

CylindricalEqualArea::CylindricalEqualArea | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 128 of file CylindricalEqualArea.cpp.

CylindricalEqualArea::CylindricalEqualArea | ( | const CylindricalEqualArea & | cea | ) |

Definition at line 268 of file CylindricalEqualArea.cpp.

CylindricalEqualArea::~CylindricalEqualArea | ( | void |  | ) |

Definition at line 292 of file CylindricalEqualArea.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * CylindricalEqualArea::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 348 of file CylindricalEqualArea.cpp.

MSP::CCS::GeodeticCoordinates * CylindricalEqualArea::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 403 of file CylindricalEqualArea.cpp.

MapProjection4Parameters * CylindricalEqualArea::getParameters | ( |  | ) | const

Definition at line 326 of file CylindricalEqualArea.cpp.

CylindricalEqualArea & CylindricalEqualArea::operator= | ( | const CylindricalEqualArea & | cea | ) |

Definition at line 297 of file CylindricalEqualArea.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/cyleqa/CylindricalEqualArea.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/cyleqa/CylindricalEqualArea.cpp